# Portfolios orders events

Portfolios orders events

Endpoint: POST Portfolio orders events
Version: 1.96.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "PORTFOLIO_ORDER.NEW", "PORTFOLIO_ORDER.PROCESSING", "PORTFOLIO_ORDER.FILLED", "PORTFOLIO_ORDER.SETTLED", "PORTFOLIO_ORDER.CANCELLED"

  - `object` (object, required)

  - `object.id` (string, required)

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.account_id` (string, required)
    Account unique identifier.

  - `object.cash_amount` (string, required)

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.status` (string, required)
    Execution status of the Portfolio Order.
* NEW - 
* PROCESSING - 
* FILLED - 
* SETTLED - 
* CANCELLED -
    Enum: "NEW", "PROCESSING", "FILLED", "SETTLED", "CANCELLED"

  - `object.post_tax` (boolean, required)
    Cash amount is post-tax value

  - `object.client_reference` (string, required)

  - `object.initiation_flow` (string, required)
    What triggered the order creation .
* API - 
* SAVINGS_PLAN -
    Enum: "API", "SAVINGS_PLAN"

  - `object.orders` (array, required)
    Orders associated with this portfolio order

  - `object.orders.id` (string, required)

  - `object.orders.side` (string, required)
    Side of the portfolio order.
* BUY - 
* SELL -
    Enum: "BUY", "SELL"

  - `object.orders.status` (string, required)
    The execution status of the order.
* NEW - 
* PROCESSING - 
* FILLED - 
* CANCELLED -
    Enum: "NEW", "PROCESSING", "FILLED", "CANCELLED"

  - `object.user_id` (string)
    User unique identifier.

  - `object.allocation_id` (string)

  - `object.type` (string)
    Type of the Portfolio Order.
* BUY - 
* SELL - 
* REBALANCING -
    Enum: "BUY", "SELL", "REBALANCING"

  - `object.cancellation_reason` (string)
    Explains the reason why the order was cancelled .
* ACCOUNT_IS_EMPTY - 
* CANCELLED_BY_CLIENT - 
* CANCELLED_BY_UPVEST - 
* PORTFOLIO_IS_BALANCED - 
* SELL_LIMIT_EXCEEDED -
    Enum: "ACCOUNT_IS_EMPTY", "CANCELLED_BY_CLIENT", "CANCELLED_BY_UPVEST", "PORTFOLIO_IS_BALANCED", "SELL_LIMIT_EXCEEDED"

  - `object.cancellation_details` (string)

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
